@echo off

setlocal enabledelayedexpansion

REM Establecer directorio base como el de este .bat
set "CUR_DIR=%~dp0"
cd /d "%CUR_DIR%"

echo ********************************************************************
echo         SETEA DIRECTORIOS                  
echo ********************************************************************


call %~dp0bat\encabezado.bat


echo.
echo ********************************************************
echo                    CONVIERTE ARCHIVOS ZXP A  BIN 
echo ********************************************************

REM Cambiar a la carpeta de los ZXP
REM Ejecutar scripts con ruta relativa a Python y ZXP

rem cd /d %OBJETOS%
           

python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\reloj.zxp 0 2 0 0 0 2 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError


python %TOOLS_PY%\zxb2bin.py 0 n %OBJETOS%\florero.zxp 0 2 0 0 0 2 1 1 0 2 2 2 0 2 3 3
IF ERRORLEVEL 1 goto compilerError

rem ***********

if exist %OBJETOS%\paletaO1.bin  del /f /q %OBJETOS%\paletaO1.bin
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO1.txt del /f /q %OBJETOS%\paletaO1.txt
IF ERRORLEVEL 1 goto compilerError




rename %OBJETOS%\reloj.bin paletaO1.bin
rename %OBJETOS%\reloj.txt paletaO1.txt
del %OBJETOS%\reloj.bas 


del %OBJETOS%\reloj.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\reloj.txt
IF ERRORLEVEL 1 goto compilerError

rem ***********

if exist %OBJETOS%\paletaO2.bin  del /f /q %OBJETOS%\paletaO2.bin
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO2.txt del /f /q %OBJETOS%\paletaO2.txt
IF ERRORLEVEL 1 goto compilerError


rename %OBJETOS%\florero.bin paletaO2.bin
rename %OBJETOS%\florero.txt paletaO2.txt
del %OBJETOS%\florero.bas 

del %OBJETOS%\florero.bin
IF ERRORLEVEL 1 goto compilerError
del %OBJETOS%\florero.txt
IF ERRORLEVEL 1 goto compilerError

rem ***********

python %TOOLS_PY%\uneBinariosZxp.py %OBJETOS%\paletaO
IF ERRORLEVEL 1 goto compilerError

if exist %OBJETOS%\paletaO_log.txt del /f /q %OBJETOS%\paletaO_log.txt
paletaO_log.txt

for /L %%i in (1,1,2) do (
        del "%OBJETOS%\paletaO%%i.zxp"
        if errorlevel 1 goto compilerError

	del "%OBJETOS%\paletaO%%i.txt"
        if errorlevel 1 goto compilerError
	

	del "%OBJETOS%\paletaO%%i.bin"
        if errorlevel 1 goto compilerError

	del "%OBJETOS%\paletaO%%i.bas"
        if errorlevel 1 goto compilerError
	
    )



goto fin

:compilerError
echo.
echo ********************************************************
echo                    COMPILER ERROR!
echo ********************************************************
pause
:fin